Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEike Stepper2013-01-16 04:01:29 -0500
committerEike Stepper2013-01-16 04:01:29 -0500
commit041b6932a1df491b398b585f82d290e5054104e5 (patch)
tree00b47f7c4451cfec382dea85f3600958b37dec86
parent135773083b63ff40e0df608ce59ef58cf5761563 (diff)
downloadcdo-041b6932a1df491b398b585f82d290e5054104e5.tar.gz
cdo-041b6932a1df491b398b585f82d290e5054104e5.tar.xz
cdo-041b6932a1df491b398b585f82d290e5054104e5.zip
[398167] [DB] Remove JDBC driver dependencies from DBAdapter bundles
https://bugs.eclipse.org/bugs/show_bug.cgi?id=398167
-rw-r--r--plugins/org.eclipse.net4j.db.db2/META-INF/MANIFEST.MF3
-rw-r--r--plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF1
-rw-r--r--plugins/org.eclipse.net4j.db.h2/META-INF/MANIFEST.MF7
-rw-r--r--plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.net4j.db.oracle/META-INF/MANIFEST.MF5
-rw-r--r--plugins/org.eclipse.net4j.db.postgresql/META-INF/MANIFEST.MF3
7 files changed, 22 insertions, 5 deletions
diff --git a/plugins/org.eclipse.net4j.db.db2/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.db2/META-INF/MANIFEST.MF
index 3eeb800fb7..060a3adfc1 100644
--- a/plugins/org.eclipse.net4j.db.db2/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.db2/META-INF/MANIFEST.MF
@@ -10,7 +10,8 @@ Bundle-ClassPath: .
Bundle-ActivationPolicy: lazy
Bundle-Activator: org.eclipse.net4j.db.internal.db2.bundle.OM$Activator
Require-Bundle: org.eclipse.net4j.db;bundle-version="[4.0.0,5.0.0)";visibility:=reexport
-Import-Package: org.osgi.framework;version="[1.0.0,2.0.0)"
+Import-Package: com.ibm.db2.jcc;version="[9.0.0,10.0.0)";resolution:=optional,
+ org.osgi.framework;version="[1.0.0,2.0.0)"
Export-Package: org.eclipse.net4j.db.db2;version="4.1.0",
org.eclipse.net4j.db.internal.db2.bundle;version="4.1.0";x-internal:=true
Eclipse-RegisterBuddy: org.eclipse.net4j.db
diff --git a/plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF
index d3b6c17a83..050912116b 100644
--- a/plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF
@@ -11,6 +11,7 @@ Bundle-Activator: org.eclipse.net4j.db.internal.derby.bundle.OM$Activator
Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.net4j.db;bundle-version="[4.0.0,5.0.0)";visibility:=reexport
+Import-Package: org.apache.derby.jdbc;version="[10.0.0,11.0.0)";resolution:=optional
Export-Package: org.eclipse.net4j.db.derby;version="4.1.0",
org.eclipse.net4j.db.internal.derby.bundle;version="4.1.0";x-internal:=true
Eclipse-RegisterBuddy: org.eclipse.net4j.db
diff --git a/plugins/org.eclipse.net4j.db.h2/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.h2/META-INF/MANIFEST.MF
index 6487d0d1e0..69a0519745 100644
--- a/plugins/org.eclipse.net4j.db.h2/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.h2/META-INF/MANIFEST.MF
@@ -9,6 +9,13 @@ Bundle-ClassPath: .
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-ActivationPolicy: lazy
Bundle-Activator: org.eclipse.net4j.db.internal.h2.bundle.OM$Activator
+Import-Package: org.h2;version="[1.0.0,2.0.0)";resolution:=optional,
+ org.h2.command;version="[1.0.0,2.0.0)";resolution:=optional,
+ org.h2.expression;version="[1.0.0,2.0.0)";resolution:=optional,
+ org.h2.jdbc;version="[1.0.0,2.0.0)";resolution:=optional,
+ org.h2.jdbcx;version="[1.0.0,2.0.0)";resolution:=optional,
+ org.h2.util;version="[1.0.0,2.0.0)";resolution:=optional,
+ org.h2.value;version="[1.0.0,2.0.0)";resolution:=optional
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.net4j.db;bundle-version="[4.0.0,5.0.0)";visibility:=reexport
Export-Package: org.eclipse.net4j.db.h2;version="4.2.0",
diff --git a/plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF
index 86877cca90..719dd1dd7c 100644
--- a/plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF
@@ -11,8 +11,8 @@ Bundle-ClassPath: .
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.net4j.db;bundle-version="[4.0.0,5.0.0)";visibility:=reexport
-Import-Package: org.hsqldb;version="[2.0.0,3.0.0)",
- org.hsqldb.jdbc;version="[2.0.0,3.0.0)"
+Import-Package: org.hsqldb;version="[2.0.0,3.0.0)";resolution:=optional,
+ org.hsqldb.jdbc;version="[2.0.0,3.0.0)";resolution:=optional
Export-Package: org.eclipse.net4j.db.hsqldb;version="4.2.0",
org.eclipse.net4j.db.internal.hsqldb.bundle;version="4.2.0";x-internal:=true
Eclipse-RegisterBuddy: org.eclipse.net4j.db
diff --git a/plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF
index 6a311add55..b2d1afd0eb 100644
--- a/plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF
@@ -10,7 +10,9 @@ Bundle-ClassPath: .
Bundle-ActivationPolicy: lazy
Bundle-Activator: org.eclipse.net4j.db.internal.mysql.bundle.OM$Activator
Require-Bundle: org.eclipse.net4j.db;bundle-version="[4.0.0,5.0.0)";visibility:=reexport
-Import-Package: org.osgi.framework;version="[1.0.0,2.0.0)"
+Import-Package: com.mysql.jdbc;version="[5.0.0,6.0.0)";resolution:=optional,
+ com.mysql.jdbc.jdbc2.optional;version="[5.0.0,6.0.0)";resolution:=optional,
+ org.osgi.framework;version="[1.0.0,2.0.0)"
Export-Package: org.eclipse.net4j.db.internal.mysql.bundle;version="4.2.0";x-internal:=true,
org.eclipse.net4j.db.mysql;version="4.2.0"
Eclipse-RegisterBuddy: org.eclipse.net4j.db
diff --git a/plugins/org.eclipse.net4j.db.oracle/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.oracle/META-INF/MANIFEST.MF
index 24ea2e6dc2..1c4764ca27 100644
--- a/plugins/org.eclipse.net4j.db.oracle/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.oracle/META-INF/MANIFEST.MF
@@ -9,7 +9,10 @@ Bundle-Activator: org.eclipse.net4j.db.oracle.internal.bundle.OM$Activator
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
Require-Bundle: org.eclipse.net4j.db;bundle-version="[4.0.0,5.0.0)";visibility:=reexport
-Import-Package: org.osgi.framework;version="[1.0.0,2.0.0)"
+Import-Package: oracle.jdbc;resolution:=optional,
+ oracle.jdbc.driver;resolution:=optional,
+ oracle.jdbc.pool;resolution:=optional,
+ org.osgi.framework;version="[1.0.0,2.0.0)"
Export-Package: org.eclipse.net4j.db.oracle;version="1.0.0",
org.eclipse.net4j.db.oracle.internal.bundle;version="1.0.0";x-internal:=true
Eclipse-RegisterBuddy: org.eclipse.net4j.db
diff --git a/plugins/org.eclipse.net4j.db.postgresql/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.postgresql/META-INF/MANIFEST.MF
index 9c9f2e0469..eaeb5e1892 100644
--- a/plugins/org.eclipse.net4j.db.postgresql/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.postgresql/META-INF/MANIFEST.MF
@@ -11,6 +11,9 @@ Bundle-ActivationPolicy: lazy
Bundle-Activator: org.eclipse.net4j.db.internal.postgresql.bundle.OM$Activator
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.net4j.db;bundle-version="[4.0.0,5.0.0)";visibility:=reexport
+Import-Package: org.postgresql;version="[9.0.0,10.0.0)";resolution:=optional,
+ org.postgresql.ds;version="[9.0.0,10.0.0)";resolution:=optional,
+ org.postgresql.ds.common;version="[9.0.0,10.0.0)";resolution:=optional
Export-Package: org.eclipse.net4j.db.internal.postgresql.bundle;version="4.2.0";x-internal:=true,
org.eclipse.net4j.db.postgresql;version="4.2.0"
Eclipse-RegisterBuddy: org.eclipse.net4j.db

Back to the top